#! Flux2D 12.1
newProject()
ParameterGeom(name='AIRGAP',

              expression='2')


ParameterGeom(name='HEIGHT',

              expression='40')


ParameterGeom(name='COIL_EXT_RADIUS',

              expression='55')


ParameterGeom(name='OUTER_TUBE_EXT_RADIUS',

              expression='40')


ParameterGeom(name='INNER_TUBE_EXT_RADIUS',

              expression='20')


ParameterGeom(name='COIL_INT_RADIUS',

              expression='OUTER_TUBE_EXT_RADIUS+AIRGAP')


ParameterGeom(name='OUTER_TUBE_INT_RADIUS',

              expression='30')


ParameterGeom(name='INNER_TUBE_INT_RADIUS',

              expression='10')


lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                '0'],
                                nature=Nature['STANDARD'])


lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['INNER_TUBE_INT_RADIUS',
                                '0'],
                                nature=Nature['STANDARD'],
                                mesh=MeshPoint['AIDED_MESHPOINT'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['INNER_TUBE_EXT_RADIUS',
                                '0'],
                                nature=Nature['STANDARD'],
                                mesh=MeshPoint['AIDED_MESHPOINT'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['OUTER_TUBE_INT_RADIUS',
                                '0'],
                                nature=Nature['STANDARD'],
                                mesh=MeshPoint['AIDED_MESHPOINT'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['OUTER_TUBE_EXT_RADIUS',
                                '0'],
                                nature=Nature['STANDARD'],
                                mesh=MeshPoint['AIDED_MESHPOINT'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['COIL_INT_RADIUS',
                                '0'],
                                nature=Nature['STANDARD'],
                                mesh=MeshPoint['AIDED_MESHPOINT'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['COIL_EXT_RADIUS',
                                '0'],
                                nature=Nature['STANDARD'],
                                mesh=MeshPoint['AIDED_MESHPOINT'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[1],
                           Point[2]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[2],
                           Point[3]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[3],
                           Point[4]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[4],
                           Point[5]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[5],
                           Point[6]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[6],
                           Point[7]],
                           nature=Nature['STANDARD'])

TransfTranslationVector(name='EXTRU_Y_NEG',

                        coordSys=CoordSys['XY1'],

                        vector=['0',

                        '-HEIGHT',

                        '0'])


TransfTranslationVector(name='EXTRU_Y_POS',

                        coordSys=CoordSys['XY1'],

                        vector=['0',

                        'HEIGHT',

                        '0'])


result = LineSegment[ALL].extrude(transformation=Transf['EXTRU_Y_POS'],
                                  repetitionNumber=1,
                                  extrusionType='standard',
                                  buildingOption='FacesWithMeshGenerator')

result = Line[ALL].extrude(transformation=Transf['EXTRU_Y_NEG'],
                           repetitionNumber=1,
                           extrusionType='standard',
                           buildingOption='FacesWithMeshGenerator')

SymmetryYaxis(physicalType=SymmetryTangentMagFields(),

              position='0')


lastInstance = InfiniteBoxDisc(DISCOID=['90',
                               '110'])


InfiniteBoxDisc['InfiniteBoxDisc'].complete2D(buildingOption='Faces',
                                              coordSys=CoordSys['XY1'],
                                              linkMesh='LinkMesh')

MeshLineArithmetic(name='MESHLINE_15_ND',

                   color=Color['White'],

                   number=14)


MeshLineArithmetic(name='MESHLINE_5_ND',

                   color=Color['White'],

                   number=4)


MeshLineArithmetic(name='MESHLINE_AIRGAP',

                   color=Color['White'],

                   number=2)


MeshLineLinked(name='MeshLineLinked_EXTRU_Y_NEG',

               linked=Transf['EXTRU_Y_NEG'])


MeshLineLinked(name='MeshLineLinked_EXTRU_Y_POS',

               linked=Transf['EXTRU_Y_POS'])



LineExtruded[7, 20, 8, 21, 10, 23, 12, 25, 14, 16, 27, 29, 18, 31].mesh = MeshLine['MESHLINE_15_ND']


LineSegment[1, 2, 3, 4, 6].mesh = MeshLine['MESHLINE_5_ND']


Line[5].mesh = MeshLine['MESHLINE_AIRGAP']


LinePropagated[22, 24, 26, 28, 30, 32].mesh = MeshLine['MESHLINELINKED_EXTRU_Y_NEG']


LinePropagated[9, 11, 13, 15, 17, 19].mesh = MeshLine['MESHLINELINKED_EXTRU_Y_POS']


FaceStructured[1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 5, 12].meshGenerator = MeshGenerator['MAPPED']


meshDomain()

saveProjectAs('geomeshbuilt.FLU')
