#! Flux2D 12.1
PathLine(name='Path_1',
         pathDiscretization=IntervalPathDiscretization(intervalNumber=20),
         regionFace='INNER_TUBE',
         color=Color['White'],
         visibility=Visibility['VISIBLE'],
         line=Line[2])


lastInstance = CompoundPath(name='CompoundPath_1',
                            paths=[Path['PATH_1']],
                            color=Color['Turquoise'],
                            visibility=Visibility['VISIBLE'])

cleanInvalidPaths()

PathLine(name='PATH_2',
         pathDiscretization=IntervalPathDiscretization(intervalNumber=20),
         regionFace='OUTER_TUBE',
         color=Color['White'],
         visibility=Visibility['VISIBLE'],
         line=Line[4])


lastInstance = CompoundPath(name='COMPOUNDPATH_2',
                            paths=[Path['PATH_2']],
                            color=Color['Turquoise'],
                            visibility=Visibility['VISIBLE'])

cleanInvalidPaths()

SpatialCurve(name='SpatialCurve_1',
             compoundPath=CompoundPath['COMPOUNDPATH_1'],
             formula=['Temp(Tkelvin)'])

SpatialCurve(name='SpatialCurve_2',
             compoundPath=CompoundPath['COMPOUNDPATH_2'],
             formula=['Temp(Tkelvin)'])

cleanInvalidPaths()


PathLine(name='Path_3',
         pathDiscretization=IntervalPathDiscretization(intervalNumber=25),
         regionLine='RADIATION_INOX',
         color=Color['White'],
         visibility=Visibility['VISIBLE'],
         line=Line[10])


PathLine(name='PATH_4',
         pathDiscretization=IntervalPathDiscretization(intervalNumber=25),
         regionLine='RADIATION_INOX',
         color=Color['White'],
         visibility=Visibility['VISIBLE'],
         line=Line[23],
         previousPath=Path['PATH_3'])


lastInstance = CompoundPath(name='CompoundPath_3',
                            paths=[Path['PATH_3'],
                            Path['PATH_4']],
                            color=Color['Turquoise'],
                            visibility=Visibility['VISIBLE'])

cleanInvalidPaths()





SpatialCurve(name='SpatialCurve_3',
             compoundPath=CompoundPath['COMPOUNDPATH_3'],
             formula=['ModV(dFluxTh)'])

PathLine(name='PATH_5',
         pathDiscretization=IntervalPathDiscretization(intervalNumber=25),
         regionLine='RADIATION_STEEL',
         color=Color['White'],
         visibility=Visibility['VISIBLE'],
         line=Line[12])


PathLine(name='PATH_6',
         pathDiscretization=IntervalPathDiscretization(intervalNumber=25),
         regionLine='RADIATION_STEEL',
         color=Color['White'],
         visibility=Visibility['VISIBLE'],
         line=Line[25],
         previousPath=Path['PATH_5'])


lastInstance = CompoundPath(name='COMPOUNDPATH_4',
                            paths=[Path['PATH_5'],
                            Path['PATH_6']],
                            color=Color['Turquoise'],
                            visibility=Visibility['VISIBLE'])

cleanInvalidPaths()






cleanInvalidPaths()

SpatialCurve(name='SpatialCurve_4',
             compoundPath=CompoundPath['COMPOUNDPATH_4'],
             formula=['ModV(dFluxTh)'])



SensorOperator(name='MEAN_DEXCHANGES_INNER_TUBE',

               operator=avgOperator(),

               spatialFormula='dExchangeS',

               computationSupport=lineRegSupport(computationMethod='auto',

               lineRegion=[RegionLine['RADIATION_INOX']]))
lastInstance = SensorOperator(name='MEAN_TEMP_INNER_TUBE',
                              operator=avgOperator(),
                              spatialFormula='TKELVIN',
                              computationSupport=lineRegSupport(computationMethod='auto',
                              lineRegion=[RegionLine['RADIATION_INOX']]))



lastInstance = SensorOperator(name='MEAN_DEXCHANGES_OUTER_TUBE',
                              operator=avgOperator(),
                              spatialFormula='dExchangeS',
                              computationSupport=lineRegSupport(computationMethod='auto',
                              lineRegion=[RegionLine['RADIATION_STEEL']]))

lastInstance = SensorOperator(name='MEAN_TEMP_OUTER_TUBE',
                              operator=avgOperator(),
                              spatialFormula='Tkelvin',
                              computationSupport=lineRegSupport(computationMethod='auto',
                              lineRegion=[RegionLine['RADIATION_STEEL']]))


evaluateSensors()

EvolutiveCurve2D(name='MEAN_DEXCHANGES_INNER_TUBE_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=5000.0)]),
                 formula=['SENSOR[MEAN_DEXCHANGES_INNER_TUBE]'])

EvolutiveCurve2D(name='MEAN_TEMP_INNER_TUBE_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=5000.0)]),
                 formula=['SENSOR[MEAN_TEMP_INNER_TUBE]'])

EvolutiveCurve2D(name='MEAN_DEXCHANGES_OUTER_TUBE_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=5000.0)]),
                 formula=['SENSOR[MEAN_DEXCHANGES_OUTER_TUBE]'])

EvolutiveCurve2D(name='MEAN_TEMP_OUTER_TUBE_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=5000.0)]),
                 formula=['SENSOR[MEAN_TEMP_OUTER_TUBE]'])



CurveSpatial2D['SPATIALCURVE_1', 'SPATIALCURVE_2', 'SPATIALCURVE_3', 'SPATIALCURVE_4'].exportTXT(txtFile='result/TestCase_RES',
                                                                                                 mode='add')

CurveVariation2D['MEAN_DEXCHANGES_INNER_TUBE_1', 'MEAN_DEXCHANGES_OUTER_TUBE_1', 'MEAN_TEMP_INNER_TUBE_1', 'MEAN_TEMP_OUTER_TUBE_1'].exportTXT(txtFile='result/TestCase_RES',
                                                                                                                                               mode='add')

selectCurrentStep(activeScenario=Scenario['SCENARIO_1'],
                  parameterValue=['TIME=1000.0'])

lastInstance = IsovalueSpatialGroup(name='ISOVAL_T_Kelvin',
                                    formula='Temp(Tkelvin)',
                                    forceVisibility='yes',
                                    smoothValues='yes',
                                    group=[Groupspatial['1_DOMAIN']])


saveProjectAs('postprocessed.FLU')



